from fastapi import APIRouter, Request

import schemas
from apis.check_data import service
from db.mongo import check_template_coll

router = APIRouter()


@router.post("/check")
async def check(request: Request,
                data_in: schemas.CheckData,
                game: str,
                db_name: str = 'debug'
                ) -> schemas.Msg:
    res = await service.check_data(db_name, game, data_in)
    return schemas.Msg(code=0, msg='ok', data=res)


@router.post("/save")
async def save(request: Request,
               data_in: schemas.AddTemplate,
               game: str,
               db_name: str = 'debug'
               ) -> schemas.Msg:
    res = await service.save_template(data_in, game, db_name)
    return schemas.Msg(code=0, msg='ok', data=res)


@router.get('/template')
async def template(request: Request) -> schemas.Msg:
    data = await service.get_template(dict(request.query_params))
    return schemas.Msg(code=0, msg='ok', data=data)


@router.get('/default_field')
async def template(request: Request) -> schemas.Msg:
    data = service.get_default_field()
    return schemas.Msg(code=0, msg='ok', data=data)
